# SphinxClient::setSortMode

(PECL sphinx >= 0.1.0)

SphinxClient::setSortMode — Set matches sorting mode

### Description

public SphinxClient::setSortMode ( int `$mode` [, string `$sortby` ] ) : bool

Sets matches sorting mode. See available modes below.

Sorting modes
Constant | Description
--- | ---
SPH_SORT_RELEVANCE | Sort by relevance in descending order (best matches first).
SPH_SORT_ATTR_DESC | Sort by an attribute in descending order (bigger attribute values first).
SPH_SORT_ATTR_ASC | Sort by an attribute in ascending order (smaller attribute values first).
SPH_SORT_TIME_SEGMENTS | Sort by time segments (last hour/day/week/month) in descending order, and then by relevance in descending order.
SPH_SORT_EXTENDED | Sort by SQL-like combination of columns in ASC/DESC order.
SPH_SORT_EXPR | Sort by an arithmetic expression.

### Parameters

`mode`

  Sorting mode.

`sortby`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- SphinxClient::setMatchMode
- SphinxClient::setSortMode